using CommunityToolkit.Mvvm.ComponentModel;
using SQLite;

namespace GreadyPoang.EntityLayer;
[Table("GamePoint")]
public partial class GamePoint : ObservableObject
{
    public GamePoint()
    {
        GamePointId = 0;
        ParticipantId = 0;
        GameRoundId = 0;
        GameDate = DateTime.Now;
        GameRoundRegNr = 0;
        GameRegPoints = 0;
    }

    [ObservableProperty]
    [property: PrimaryKey, AutoIncrement, Column("GamePointId")]
    private int gamePointId;

    [ObservableProperty]
    [property: Column("ParticipantId")]
    private int participantId;

    [ObservableProperty]
    [property: Column("GameRoundId")]
    private int gameRoundId;

    [ObservableProperty]
    [property: Column("GameDate")]
    private DateTime gameDate;

    [ObservableProperty]
    [property: Column("GameRoundRegNr")]
    private int gameRoundRegNr;

    [ObservableProperty]
    [property: Column("GameRegPoints")]
    private int gameRegPoints;

}
